/*
 *
 */

#include "ser/vt100.h"
#include <Arduino.h>


#define VT100_BUF_LEN		16


char vt100_buf[VT100_BUF_LEN];

/*
 * moves the cursor to specified area.
 * note: is 1-indexed, not 0-indexed!
 */
char * vt100_pos(uint8_t x, uint8_t y)
{
	snprintf(vt100_buf, (VT100_BUF_LEN - 1), "%s%hhu;%hhu%s", VT_ESC, y, x, VTC_POS);
	return vt100_buf;
}
